Ask Your Question
0

Would someday LibreOffice Base have by default HSQLDB 2.3?

asked 2015-06-02 15:02:22 +0200

mrmister gravatar image

updated 2015-08-26 19:03:39 +0200

Alex Kemp gravatar image

Hi, that is my question.

As far as I know LibreOffice Base run HSQLDB 1.8 which is quite old. I've heard you can install other database engine, but my question is, when LibreOffice Base, by default, will attach the HSQLDB 2.3 replacing the old 1.8? Any idea about if this would happen someday? or why they did not update it before?

Cheers

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
1

answered 2015-06-04 00:53:32 +0200

Terrence Enger gravatar image

Just from old memories ...

The problem with changing to a new HSQLDB is that you then could not share databases with users using an older version of LibreOffice using an older HSQLDB.

edit flag offensive delete link more

Comments

Is there any way to differentiate between db versions ? I'm sure you could somehow.

rautamiekka gravatar imagerautamiekka ( 2016-10-04 13:18:15 +0200 )edit
1

answered 2015-06-04 23:32:49 +0200

mrmister gravatar image

That is right, but sooner or later it will be out of date... so the jump is something that should happen... it's from 2007... hsqldb 1.8... we are going to have a version that is 10 years old... almost...

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

2 followers

Stats

Asked: 2015-06-02 15:02:22 +0200

Seen: 213 times

Last updated: Jun 04 '15